
.PHONY: mostlyclean-local-check

ROOT_FILES = gobject.tci gobject.tcb gtk.tci gtk.tcb gdk.tci gdk.tcb \
  pango.tci pango.tcb \
  common.tci common.tcb

WRAP_MODULES = atk atk-support gdk-pixbuf gdk-pixbuf-support \
  gdk gdk-support gtk gtk-support pango pango-support

WRAP_INTERFACES = $(WRAP_MODULES:%=wrap/%.tci)
WRAP_BODIES = $(WRAP_MODULES:%=wrap/%.tcb)

COMP_OPTIONS := $(EXTRA_COMP_OPTIONS)

gnomelibdir = $(LIB_DIR)/gnome

nodist_gnomelib_DATA = $(ROOT_FILES)
nobase_nodist_gnomelib_DATA = $(WRAP_INTERFACES) $(WRAP_BODIES)

mostlyclean-local : mostlyclean-local-check

mostlyclean-local-check :
	-rm $(ROOT_FILES) $(WRAP_INTERFACES) $(WRAP_BODIES)

%.tci : %.thi
	theme-d-compile $(COMP_OPTIONS) -m ..: -o $@ $<

%.tcb : %.thb %.tci
	theme-d-compile $(COMP_OPTIONS) -m ..: -o $@ $<

wrap/atk.tci : gobject.tci common.tci wrap/atk-support.tci

wrap/gdk-pixbuf.tci : gobject.tci common.tci wrap/gdk-pixbuf-support.tci

wrap/gdk-support.thi : gobject.tci

wrap/gdk.tci : gobject.tci common.tci wrap/gdk-support.tci \
        wrap/pango-support.tci wrap/gdk-pixbuf.tci \
	wrap/pango.tci

wrap/gtk-support.thi : gobject.tci

wrap/gtk.tci : gobject.tci common.tci wrap/gdk-support.tci \
	wrap/gdk-pixbuf-support.tci wrap/pango-support.tci \
	wrap/gtk-support.tci wrap/atk-support.tci \
	wrap/gdk-pixbuf.tci wrap/gdk.tci wrap/pango.tci wrap/atk.tci

wrap/pango-support.tci : common.tci

wrap/pango.tci : gobject.tci common.tci wrap/pango-support.tci

gdk.tci : wrap/gdk.tci wrap/gdk-support.tci

gtk.tci : gobject.tci wrap/gtk.tci wrap/gtk-support.tci

pango.tci : gobject.tci wrap/pango.tci wrap/pango-support.tci
